//
//  SIDUserService.h
//  SocialID
//
//  Created by Renato Neves on 9/14/15.
//  Copyright (c) 2015 Coffee Bean Tech. All rights reserved.
//

#import "SIDUser.h"
#import "SIDToken.h"

@interface SIDSession : NSObject

/**
 Gets the current user and executes success() or failure()
 */
+ (void) getCurrentUser:(NSString *)fields
                success:(void (^)(SIDUser *user))success
                failure:(void (^)(NSError *error))failure;

/**
 Returns true if there is a user currently logged in.
 */
+ (BOOL) isLoggedIn;

/**
 Log out by cleaning the user stored data.
 */
+ (void) logout;

/**
 Returns the token from the currently logged in user.
 */
+ (SIDToken *) getLoginUserToken;

@end