//
//  SocialID.h
//  SocialID
//
//  Created by Renato Neves on 2/3/14.
//  Copyright (c) 2014 Coffee Bean Tech. All rights reserved.
//

#import "SIDUserSession.h"
#import "SIDAppSession.h"
#import "SIDDevice.h"
#import "SIDPush.h"
#import "SIDLogin.h"
#import "SIDFacebook.h"
#import "SIDGoogle.h"
#import "SIDLinkedin.h"
#import "SIDTwitter.h"

// SDK Version
#define SID_VERSION_STRING @"3.0.0"

@interface SocialID : NSObject

/**
 Returns a singleton instance of this class
 */
+ (SocialID *) getInstance;

/**
 Sets the Social Login application id and client secret.
 @param applicationId The Social Login application id.
 @param secret The Social Login application client secret.
 */
+ (void) setApplicationId:(NSInteger)applicationId
             clientSecret:(NSString *)secret;

/**
 Returns the Social Login application id.
 */
+ (NSInteger) getApplicationId;

/**
 Returns the Social Login application secret.
 */
+ (NSString *) getApplicationClientSecret;

@end